<div id="shop-container">
    <div id="filter-shop-container">
        <filter-shop [categories]="categories" [purposes]="purposes" (filterEmitter)=onFilter($event)>
        </filter-shop>
    </div>

    <div id="main-shop-container">
        <div id="sort-shop-container">
            <sort-shop (sortEmitter)=onSort($event)></sort-shop>
        </div>

        <div id="products-container">
            <div class="product-card" *ngFor="let product of filteredProducts">
                <div class="product-image">
                    <img class="product-image-src" src={{product.pictureUrl[0]}} (click)=onClick(product)>
                </div>
                <div class="product-header-container" (click)=onClick(product)>
                    <label class="product-name">{{"name" | localize: product}}</label>
                </div>
                <div class="product-additional-info">
                    <div class="product-description-container" (click)=onClick(product)>
                        <label class="product-description">{{"description" | localize: product}}</label>
                    </div>
                    <div class="product-category-container" (click)=onClick(product)>
                        <label class="product-category-header">{{"Category" | localize}}: </label>
                        <label class="product-category-value">{{"name" | localize: product.category}}</label>
                    </div>
                    <div class="product-purpose-container" (click)=onClick(product)>
                        <label class="product-purpose-header">{{"Purpose" | localize}}: </label>
                        <div class="product-purpose-text-container">
                            <label *ngFor="let productInPurpose of product.productInPurpose" class="product-purpose-value">{{"name" | localize: productInPurpose.purpose}}</label>
                        </div>
                    </div>
                    <div class="product-price-container">
                        <label class="product-price">{{product.price}} {{"CurrencyShort" | localize}}</label>
                    </div>
                    <button class="add-to-cart-btn defaultBtn" (click)="onAddToCart(product.id)"><span>{{"AddToCart" | localize}}</span></button>
                </div>
            </div>
        </div>
    </div>
</div>